Subject: Re: bug#51095: 28.0.50; Counter-intuitive `cursor-intangible-mode' behavior

From: Brahimi Saifullah <[email-masked]>
Date: Fri, 15 Oct 2021 19:56:39 -0300

( I realize now I've probably failed to reply properly.
            I'm resending my previous message,
           apologies if you've gotten it already        )

---------------------------------------------------------------------

I see, thanks for the clarification.

What really had me confused was that, when your cursor is
in that position (the first X), `describe-char' claims:
>There are text properties here:
>  cursor-intangible    t

Perhaps the manual entry explaining this property should
clarify the nuances of the usual character after point v.
this concept of point being between the characters.

Still, I find this behavior odd from an usability standpoint.
I did some grep'ing in the core and ELPA packages to see how
often the workaround of front/rear-nonsticky is used.
>From a glance I could only find a couple of packages explicitly
doing that, but then again you can count the amount of packages
extensively using `cursor-intangible' on the fingers of one hand.
All in all, not a very conclusive search besides confirming
the current behavior is indeed desirable in some situations.

---------------------------------------------------------------------

Addendum: If you disagree, or otherwise can't think of any further improvements
          to that section (I can't think of any tangible suggestion myself),
          feel free to close this.